@import url('https://fonts.googleapis.com/css2?family=Plus+Jakarta+Sans:wght@200;400;500&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Roboto+Slab:wght@500;700;900&display=swap');

body {
  font-family: 'Plus Jakarta Sans', sans-serif !important;
  background: #F0F0F0;
}

body.dark-mode {
  /* Add your dark mode styles here */
  background-color: #212529;
  color: #fff;
}

body.dark-mode #form{
  /* Add your dark mode styles here */
  color: #000 !important;
}
body.dark-mode svg{
  /* Add your dark mode styles here */
  color: #fff !important;
}

.App {
  text-align: center;
}

.App-logo {
  height: 40vmin;
  pointer-events: none;
}

@media (prefers-reduced-motion: no-preference) {
  .App-logo {
    animation: App-logo-spin infinite 20s linear;
  }
}

.App-header {
  background-color: #282c34;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  font-size: calc(10px + 2vmin);
  color: white;
}

.App-link {
  color: #61dafb;
}

@keyframes App-logo-spin {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}

#home-desc h2 {
  font-size: 2rem !important;
  height: 1.875rem;
}

.type-writer {
  font-weight: 500;
  font-size: 2rem;
}

.home-title {
  font-family: 'Roboto Slab', serif;
}

.home-title span {
  font-size: 6.25rem !important; 
}

.center-content {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  height: 80vh;
}

.center-content h2{
  font-size: 3.25rem !important
}

@media (max-width: 767px) {
  .type-writer {
    flex-direction: column !important; /* Change to a column layout for small screens */
    align-items: flex-start; /* Align items to the start of the column */
  }

  .type-writer h2 {
    margin-left: 0; /* Reset the margin to stack the h2 tag below the typewriter */
    margin-top: 10px; /* Add some space between the typewriter and h2 tag */
  }
}


.navbar-toggle-white {
  background-color: #fff !important;
}

.nav-link {
  position: relative;
  display: inline-block;
  color: white;
  text-decoration: none; /* Remove underlines or other default text decorations */
}

.nav-link:hover {
  color: slategray !important; /* Change to the color you want when hovering */
}

.nav-link.active {
  color: white !important;
}

.nav-link.active:before,
.nav-link:hover:before {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 3px; /* Adjust the height of the line as needed */
  background-color: #fff; /* Adjust the color of the line as needed */
  transition: width 0.3s ease-in;
}

.nav-link.active:hover:before {
  width: 100%; /* Ensures the line remains at 100% width when both active and hovered */
  
}

.nav-link:hover:before {
  width: 30%; /* Adjust the width of the line on hover */
}

#exp-title {
  font-family: 'Roboto Slab', serif;
  font-size: 2.5rem !important;
  font-weight: 900;
}

#exp-title {
  font-family: 'Roboto Slab', serif;
  font-size: 2.5rem !important;
  font-weight: 900;
}

#skills-title {
  font-family: 'Roboto Slab', serif;
  font-size: 2.5rem !important;
  font-weight: 900;
}

.image-container {
  display: inline-block;
  text-align: center;
  margin: 0 10px;
}

.image-container img {
  width: 4.688rem;
  height: 4.688rem;
  margin: 0.625rem;
  margin-bottom: 0;
}

.image-container p {
  margin: 0;
}

#contact-title {
  font-family: 'Roboto Slab', serif;
  font-size: 2.5rem !important;
  font-weight: 900;
}

.contact-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.contact-form {
  width: 100%;
  max-width: 25rem; /* Set a maximum width for the form */
  padding: 1.25rem;
  text-align: center;
  background-color: #ffffff;
  border-radius: 1.5em;
  box-shadow: 0px 11px 35px 2px rgba(0, 0, 0, 0.14);
}

.email, .name , .mobileNo, .message {
  background: #F0F0F0 !important;
}

.email:hover, .name:hover, .mobileNo:hover, .message:hover{
  background-color: #ffffff !important;
}

/* Remove placeholder text when input is focused */
.contact-form input:focus::placeholder {
  color: transparent;
}

.submit-button{
  width: 100%;
}

.social-container svg{
  width: 2.5rem;
  height: 2.5rem;
}

.social-container a {
  position: relative;
  display: inline-block;
  text-decoration: none;
}

.tooltip {
  position: absolute;
  top: -30px;
  left: 50%;
  transform: translateX(-50%);
  background-color: #333;
  color: #fff;
  padding: 5px 10px;
  border-radius: 5px;
  font-size: 12px;
  opacity: 0;
  visibility: hidden;
  transition: opacity 0.3s ease, visibility 0.3s ease;
}

.social-container a:hover .tooltip {
  opacity: 1;
  visibility: visible;
}

.social-container svg{
  color:#000 !important;
}

#follow {
  font-weight: 500;
}